Bug 1209580 - CVE-2015-1853 chrony: authentication doesn't protect symmetric associations against DoS attacks [fedora-all]
Summary: CVE-2015-1853 chrony: authentication doesn't protect symmetric associations a...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chrony
Version: 21
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2015-1853
TreeView+ depends on / blocked
 
Reported: 2015-04-07 16:57 UTC by Kurt Seifried
Modified: 2015-04-24 22:49 UTC (History)
1 user (show)

Fixed In Version: chrony-1.31.1-1.fc20
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-22 22:42:52 UTC


Attachments (Terms of Use)

Description Kurt Seifried 2015-04-07 16:57:35 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Kurt Seifried 2015-04-07 16:57:38 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1209572,1209580

# Description of your update
notes=Security fix for CVE-2015-1853

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1209572,1209580

Comment 2 Fedora Update System 2015-04-08 07:39:41 UTC
chrony-2.0-0.3.pre2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/chrony-2.0-0.3.pre2.fc22

Comment 3 Fedora Update System 2015-04-08 07:42:08 UTC
chrony-1.31.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/chrony-1.31.1-1.fc21

Comment 4 Fedora Update System 2015-04-08 07:43:42 UTC
chrony-1.31.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/chrony-1.31.1-1.fc20

Comment 5 Fedora Update System 2015-04-08 18:35:44 UTC
Package chrony-2.0-0.3.pre2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing chrony-2.0-0.3.pre2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5748/chrony-2.0-0.3.pre2.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-04-22 22:42:52 UTC
chrony-2.0-0.3.pre2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-22 22:53:42 UTC
chrony-1.31.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-24 22:49:56 UTC
chrony-1.31.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.